Bug 222398 - Allow building on Fedora
Allow building on Fedora
Status: CLOSED CURRENTRELEASE
Product: 389
Classification: Community
Component: Directory Server (Show other bugs)
1.0.4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rich Megginson
Viktor Ashirov
:
Depends On:
Blocks: 152373 240316 FDS1.1.0
  Show dependency treegraph
 
Reported: 2007-01-11 21:15 EST by Rich Megginson
Modified: 2015-12-07 12:01 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-07 12:01:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
files (204 bytes, text/plain)
2007-01-11 21:15 EST, Rich Megginson
no flags Details
diffs (6.94 KB, patch)
2007-01-11 21:16 EST, Rich Megginson
no flags Details | Diff
commit log (1.20 KB, text/plain)
2007-01-12 11:21 EST, Rich Megginson
no flags Details

  None (edit)
Description Rich Megginson 2007-01-11 21:15:49 EST
There are a few issues with building on Fedora (5 or later):
1) Need to be able to build with db4.2, db4.3, db4.4, etc.  This version
auto-detects the db version from the db.h file it finds.  In order to use a
different db version, just use --with-db or --with-db-inc that points to a
different db.h
2) mozldap and svrcore are now part of Fedora, so we need to look for those
components.  Look for mozldap6 first to allow building on RHEL-4 as well.
mozldap now includes libldif, so add that to the link line.
svrcore-devel is now just svrcore - a svrcore runtime package and a
svrcore-devel build time package.
3) FHS means FHS - /etc, /var/, prefix=/usr and exec_prefix=/usr.  It doesn't
make any sense to talk about FHS under a prefix.  This means the default build
will do /opt/fedora-ds/etc, var, lib, bin, share, and so on.
Comment 1 Rich Megginson 2007-01-11 21:15:50 EST
Created attachment 145417 [details]
files
Comment 2 Rich Megginson 2007-01-11 21:16:39 EST
Created attachment 145418 [details]
diffs
Comment 3 Rich Megginson 2007-01-12 11:21:19 EST
Created attachment 145461 [details]
commit log

Reviewed by: nhosoi (Thanks!)
Fix Description: There are a few issues with building on Fedora (5 or later):
1) Need to be able to build with db4.2, db4.3, db4.4, etc.  This version
auto-detects the db version from the db.h file it finds.  In order to use a
different db version, just use configure --with-db=path or --with-db-inc=path
that points to a
different db.h
2) mozldap and svrcore are now part of Fedora, so we need to look for those
components.  Look for mozldap6 first to allow building on RHEL-4 as well.
mozldap now includes libldif, so add that to the link line.
svrcore-devel is now just svrcore - a svrcore runtime package and a
svrcore-devel build time package.
3) FHS means FHS - /etc, /var/, prefix=/usr and exec_prefix=/usr.  It doesn't
make any sense to talk about FHS under a prefix.  This means the default build
will do /opt/fedora-ds/etc, var, lib, bin, share, and so on instead of
/opt/fedora-ds/usr/etc.  --with-fhs resets prefix=/usr and exec_prefix=/usr,
and overrides the default settings for sysconfdir and localstatedir
So, different build types:
FHS - use configure --with-fhs - uses /etc, /var, /usr/lib, /usr/share, etc.
Nothing - configure - uses /opt/fedora-ds/etc/, var/, bin/, lib/, etc.

GNU style - configure --prefix=/usr/local - /usr/local/etc, /usr/local/bin,
/usr/local/var, and so on

Developers can use configure --prefix=/home/user/fds && make && make install to
install local versions
Platforms tested: FC-6
Flag Day: no
Doc impact: no
Comment 4 Anh Nguyen 2007-12-03 10:46:40 EST
Changed QA Whiteboard to to_be_verified_by_dev.
Comment 5 Nathan Kinder 2007-12-14 18:22:04 EST
We have been building on Fedora 5 and later (and are even included in the
distribution) for some time now.  Marking as VERIFIED.

Note You need to log in before you can comment on or make changes to this bug.